[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# FExpand

Expand filename to fully qualified path

## Declaration

Source position: oldlinux.pp line 1580

`function FExpand(`
`const Path: PathStr`
`):PathStr;`

## Description

FExpand expands Path to a full path, starting from root, eliminating directory references such as . and .. from the result.

## Errors

None

## See also

BaseName |  | Return basename of a file
DirName |  | Extract directory part from filename

## Example

    Program Example45;

    { Program to demonstrate the FExpand function. }

    Uses oldlinux;

    begin
      Writeln ('This program is in : ',FExpand(Paramstr(0)));
    end.

Documentation generated on: Feb 26 2014